import { FormGroup } from '@angular/forms';
import { ProcessService } from '../../services/process.service';
import { Task } from '../../models';
import 'rxjs/add/observable/of';
export declare class FormApi {
    private _form;
    private _process;
    private _task;
    constructor(_form: FormGroup, _process: ProcessService, _task: Task);
    readonly valid: boolean;
    readonly invalid: boolean;
    readonly form: FormGroup;
    readonly task: Task;
    readonly setReadOnly: any;
    readonly getValue: any;
    readonly setValue: any;
    readonly focus: any;
    readonly hideField: any;
    readonly showField: any;
    readonly setRequired: any;
    readonly setPattern: any;
    readonly clearValue: any;
    readonly getControl: any;
    readonly getTaskControl: any;
    readonly onChange: any;
    readonly onLookupChange: any;
    readonly toggleSection: any;
    readonly clickFormBtn: any;
    private readonly _valid;
    private readonly _invalid;
    private _getValue(referenceName);
    private _setValue(referenceName, value);
    private _focus(referenceName);
    private _hideField(referenceName, target?);
    private _showField(referenceName, target?);
    private _toggleSection(referenceName, show);
    private _setRequired(referenceName, state);
    private _setReadOnly(referenceName, state);
    private _setPattern(referenceName, pattern);
    private _clearValue(referenceName, value);
    private _getControl(referenceName, target?);
    private _getTaskControl(referenceName, target?);
    private _onChange(referenceName, cb, advanced?);
    private _getHtmlControl(referenceName, controlName?);
    private _clickFormBtn(taskId, btnName);
    private _controlData(referenceName);
}
