import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ApiService, Lang, IDGSEnvironment } from 'dgs-core';
export declare class LanguageService {
    private environment;
    private translate;
    private apiService;
    defaultLanguage: Lang;
    languageChanged: EventEmitter<Lang>;
    private _firstTime;
    private _languages;
    private _language;
    private _translations;
    constructor(environment: IDGSEnvironment, translate: TranslateService, apiService: ApiService);
    loadSavedLanguage(): any;
    getTranslate(key?: string): Promise<{}>;
    addTranslate(lang: Lang, translation: Object): void;
    readonly languages: Promise<Lang[]>;
    language: Lang;
}
