import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { Control, Column } from '../../../models/control';
import { FVDoneResponse } from '../../../models';
import { ProcessService } from '../../../services/process.service';
import { FVAbstractControl } from '../../shared/abstract-control.component';
export declare class FVFormTabComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private ref;
    class: string;
    onDone: EventEmitter<FVDoneResponse>;
    mainContainer: any;
    private shouldShow;
    constructor(process: ProcessService, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    controlType(num: number): string;
    controlGroupType(num: number): string;
    columnsClass(control: Control): string;
    visibleColumns(control: Control): Column[];
    isHidden(control: Control): boolean;
    _onDone(response: FVDoneResponse): void;
    debugText(): string;
    readonly isGrid: boolean;
    private notEmptyColumns(control);
    private generateClass();
    private notEmptyContainer();
    private haveVisibles(control);
    private getChildControls(controls, control);
    ngOnDestroy(): void;
}
