import { EventEmitter, AfterViewInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { ProcessService } from '../../services/process.service';
import { Task, Dock, FVDoneResponse } from '../../models';
export declare class FVRendererComponent implements AfterViewInit, OnDestroy {
    private process;
    private ref;
    error: string;
    showBuilder: boolean;
    private subscriptions;
    private _canRunBuilder;
    private _parentTask;
    private _activeTask;
    private _task;
    private _loading;
    private _disabled;
    private _hideName;
    parentTask: Task;
    task: Task;
    hideName: boolean;
    disabled: boolean;
    onDone: EventEmitter<FVDoneResponse>;
    onLoaded: EventEmitter<any>;
    titleUpdated: EventEmitter<string>;
    taskUpdated: EventEmitter<Task>;
    formRenderer: any;
    formContainer: any;
    constructor(process: ProcessService, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    updateFormGroup(event: any): void;
    _onDone(response: FVDoneResponse): void;
    openBuilder(): void;
    hideBuilder(): void;
    readonly isGrid: boolean;
    readonly loading: boolean;
    readonly dockedTop: Dock[];
    readonly dockedBottom: Dock[];
    readonly docked: Dock[];
    readonly stateId: string;
    readonly processId: string;
    readonly canRunBuilder: boolean;
    private readonly form;
    private scrollToTop();
    private hackLook(cb);
    private evalOnLoad(task, script);
    ngOnDestroy(): void;
}
