import { EventEmitter, OnDestroy } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/throttleTime';
export declare class FVModalComponent implements OnDestroy {
    private modalService;
    hideDebouncer: Subject<any>;
    showModal: boolean;
    keyboardPrompt: boolean;
    loading: boolean;
    title: string;
    modalClass: string;
    id: string;
    onModalClose: EventEmitter<any>;
    modalRef: any;
    private _showModal;
    private modal;
    private oldState;
    private subscriptions;
    constructor(modalService: BsModalService);
    onEsc(event: any): void;
    doCheck(timeout?: number): void;
    closeModal(): void;
    private openModal();
    ngOnDestroy(): void;
}
