import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Task, Control, Field } from '../../models';
import { ProcessService } from '../../services/process.service';
import { BsDatepickerConfig } from 'ngx-bootstrap';
import { Subscription } from 'rxjs/Subscription';
import { Debugger } from 'dgs-core';
export declare class FVAbstractControl extends Debugger {
    debugStatus: boolean;
    bsDateConfig: Partial<BsDatepickerConfig>;
    errorMsg: string;
    environment: any;
    protected formData: Task;
    protected subscriptions: Subscription[];
    protected _task: Task;
    task: Task;
    protected _parentTask: Task;
    parentTask: Task;
    protected _control: Control;
    control: Control;
    protected _stateId: string;
    stateId: string;
    protected _processId: string;
    processId: string;
    protected _group: FormGroup;
    group: FormGroup;
    protected _disabled: boolean;
    disabled: boolean;
    updateGroup: EventEmitter<any>;
    private _process;
    constructor(_process: ProcessService);
    generateUserData(): any;
    debugText(): string;
    updateFormGroup(event: any): void;
    readonly recordData: any;
    readonly defaultControlSize: number;
    readonly tooltip: string;
    readonly isReadOnly: boolean;
    readonly componentConfig: any;
    readonly buttonsDebug: any;
    protected setValue(_value?: any): void;
    protected AfterViewInit(): void;
    protected saveKey(): void;
    protected controlRef(refName?: string, task?: Task): Control | Field;
    protected modelRef(refName?: string, task?: Task): Field;
    protected evalEventJs(): void;
    protected OnDestroy(): void;
}
