import { AfterViewInit, OnDestroy } from '@angular/core';
import { BsLocaleService } from 'ngx-bootstrap';
import { FVAbstractControl } from './abstract-control.component';
import { ProcessService } from '../../services/process.service';
import { LanguageService } from '../../services/language.service';
export declare class FVControlsAbstractTimeComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    constructor(_process: ProcessService, _localeService: BsLocaleService, _language: LanguageService);
    ngAfterViewInit(): void;
    openCalendar(ref: any): void;
    /**
     * Protected because override property must have same access level as super
     * @param _value
     */
    protected setValue(_value?: any): void;
    ngOnDestroy(): void;
}
