import { Control } from './../../models/control';
import { FormGroup } from '@angular/forms';
import { ProcessService } from '../../services/process.service';
import { ValidationService } from '../../services/validation.service';
import { Task, Field } from '../../models';
import { Helper as DGSHelper } from 'dgs-core';
export declare class Helper extends DGSHelper {
    static getErrors(_group: FormGroup, _process: ProcessService, _validation: ValidationService): Promise<any[]>;
    static modelRef(refName: string, task: Task): Field;
    static getFormData(_group: FormGroup, _process: ProcessService, _task: Task): {};
    static sanitizeLookupValue(value: any, control: Control): any;
}
