import { Extract } from './extract';
export declare class Field {
    title: string;
    name: string;
    controlType: string | number;
    value: string;
    label: string;
    description: string;
    referenceName: string;
    size: any;
    options: any;
    readOnly: boolean;
    required: boolean;
    dbType: string;
    extract: Extract;
    maxValue: any;
    minValue: any;
    format: any;
    watermark: string;
    autoLoad: boolean;
    bindingSet: any;
    editableGrid: any;
    constructor(title?: string, name?: string, controlType?: string | number, value?: string, label?: string, description?: string, referenceName?: string, size?: any, options?: any, readOnly?: boolean, required?: boolean, dbType?: string, extract?: Extract, maxValue?: any, minValue?: any, format?: any, watermark?: string, autoLoad?: boolean, bindingSet?: any, editableGrid?: any);
}
